"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var vfmloader_1 = require("vfmloader");
var WorkbookComponent = /** @class */ (function () {
    function WorkbookComponent() {
        /** Compare strategy **/
        // load file
        // State structure?
        // A and B or array?
        // sheets_1 v sheets_2
        // [[Sheet[]], [Sheet[]]]
        this.sheets = [];
        this.columns = null;
        this.options = {
            stretchH: 'all',
        };
        if (localStorage.sheets) {
            this.sheets = JSON.parse(localStorage.sheets);
        }
    }
    WorkbookComponent.prototype.onFileChange = function (evt) {
        var _this = this;
        /* wire up file reader */
        var target = (evt.target);
        if (target.files.length != 1) {
            throw new Error("Cannot upload multiple files on the entry");
        }
        ;
        vfmloader_1.default.loadFile(target.files[0], function (sheets) {
            _this.sheets = sheets;
            localStorage.setItem('sheets', JSON.stringify(sheets));
            return;
        });
    };
    WorkbookComponent.prototype.selectSheet = function (i) {
        this.sheets.forEach(function (tab) {
            tab.active = false;
        });
        this.sheets[i].active = true;
    };
    WorkbookComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'workbook',
                    template: "\n  <div #loadFileBlock>\n    <input *ngIf=\"!sheets.length\" type=\"file\" (change)=\"onFileChange($event)\" multiple=\"false\" />\n    <div *ngFor='let hotTable of sheets; let i = index;'>\n      <hotTable\n        [hidden]=\"!hotTable.active\"\n        [data]=\"hotTable.data\"\n        [columns]=\"hotTable.columns\"\n        [options]=\"options\">\n      </hotTable>\n    </div>\n    <div *ngFor='let hotTable of sheets; let i = index;'>\n      <button (click)=\"selectSheet(i)\" name=\"{{i}}\">{{hotTable.name}}</button>\n    </div>\n  </div>\n\t"
                },] },
    ];
    /** @nocollapse */
    WorkbookComponent.ctorParameters = function () { return []; };
    return WorkbookComponent;
}());
exports.WorkbookComponent = WorkbookComponent;
//# sourceMappingURL=workbook.component.js.map